Package org.apache.cxf.service.invoker

# Class BeanInvoker

java.lang.Object
org.apache.cxf.service.invoker.AbstractInvoker
org.apache.cxf.service.invoker.BeanInvoker

All Implemented Interfaces:
  `Invoker`

public class BeanInvoker extends AbstractInvoker
Invoker for externally created service objects.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanInvoker(Object proxy)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getServiceObject(Exchange ex)`
  Creates and returns a service object depending on the scope.

  ### Methods inherited from class org.apache.cxf.service.invoker.AbstractInvoker

  `adjustMethodAndParams, checkSuspendedInvocation, createFault, getMostSpecificMethod, insertExchange, invoke, invoke, isJdkDynamicProxy, performInvocation, releaseServiceObject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanInvoker

    public BeanInvoker(Object proxy)

- ## Method Details

  - ### getServiceObject

    public Object getServiceObject(Exchange ex)
    Description copied from class: `AbstractInvoker`
    Creates and returns a service object depending on the scope.
    Specified by:
      `getServiceObject` in class `AbstractInvoker`